#!/bin/bash

N=30
JOUEUR=1

function afficher_allumettes()
{
    local N=$1
    echo "Il reste $N allummettes"
    echo -n "   "
    for i in $(seq 1 $N); do echo -n "|"; done
    echo ""
}

function choisir_nombre()
{
    CHOIX=""
    while [[ $CHOIX != "1" ]] && [[ $CHOIX != "2" ]] && [[ $CHOIX != 3 ]]
    do
        echo -n "Combien voulez-vous prendre d'allumettes ? "
        read CHOIX
    done
}

function main()
{
    while [[ $N -gt 1 ]]
    do
        echo "C'est le tour du joueur $JOUEUR"
        afficher_allumettes $N
        choisir_nombre

        N=$((N - CHOIX))
        if [[ $N -le 0 ]]
        then
            echo Le joueur $JOUEUR a perdu !
            break
        elif [[ $N -eq 1 ]]
        then
            echo Le joueur $JOUEUR a gagné !
            break
        fi

        if [[ $JOUEUR == 1 ]]
        then
            JOUEUR=2
        else
            JOUEUR=1
        fi
    done
}

main
